// ---=== Kick Off2 sky ===---

textures/ut4_kickoff2/ko2_sky
{
	qer_editorimage env/ut4_kickoff2/violetdays_bk.tga
	q3map_globaltexture
	q3map_skylight 150 3
	q3map_backSplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

	q3map_sunEXT 0.5 0.6 0.5 50 0 90 1 16
	skyparms env/ut4_kickoff2/violetdays 512 -
}

//Ladderclip form UrT

textures/ut4_kickoff2/ko2_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

//glass: slippery, no damage

textures/ut4_kickoff2/ko2_glass_slip
{
	qer_editorimage textures/ut4_kickoff2/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kickoff2/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

// ---=== Glasspipe Slip-nodam ===---

textures/ut4_kickoff2/ko2_glassblk09_b
{
	qer_editorimage textures/ut4_kickoff2/pr_glassblock09.jpg 
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock09.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock09.jpg
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== No Damage Materials ===---

textures/ut4_kickoff2/ko2_marble1
{
	qer_editorimage textures/ut4_kickoff2/pr_marble26.jpg
	surfaceparm nodamage

	{	
		map textures/ut4_kickoff2/pr_marble26.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kickoff2/ko2_marble2
{
	qer_editorimage textures/ut4_kickoff2/pr_marble43.jpg
	surfaceparm nodamage

	{	
		map textures/ut4_kickoff2/pr_marble43.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kickoff2/ko2_glassblk04_b
{
	qer_editorimage textures/ut4_kickoff2/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff2/ko2_glassblk04_r
{
	qer_editorimage textures/ut4_kickoff2/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff2/ko2_greenpipe1
{
	qer_editorimage textures/ut4_kickoff2/kw_greenpipe1.jpg 
	surfaceparm nodamage
	surfaceparm nolightmap

	{
		map textures/ut4_kickoff2/kw_greenpipe1.jpg

	}
}

textures/ut4_kickoff2/ko2_greenpipe2
{
	qer_editorimage textures/ut4_kickoff2/kw_greenpipe2.jpg 
	surfaceparm nodamage
	q3map_surfacelight 700

	{
		map textures/ut4_kickoff2/kw_greenpipe2.jpg

	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_kickoff2/ko2_black
{
	qer_editorimage textures/ut4_kickoff2/black.jpg
	surfaceparm nodamage

	{	
		map textures/ut4_kickoff2/black.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kickoff2/ko2_jumper1
{
	qer_editorimage textures/ut4_kickoff2/pr_glassblock09.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	deformVertexes wave 100 sin 0 3 0 .7

	{
		map textures/ut4_kickoff2/pr_glassblock09.jpg
		tcMod scale 1 0

	}
	{
		map $lightmap
		blendFunc filter
	}
}

// ---=== non-solid coin ===---

textures/ut4_kickoff2/ko2_star1
{
	qer_editorimage textures/ut4_kickoff2/kw_star1.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	q3map_surfacelight 400

	{	
		map textures/ut4_kickoff2/kw_star1.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kickoff2/ko2_yellow1
{
	qer_editorimage textures/ut4_kickoff2/kw_yellow1.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	q3map_surfacelight 400

	{	
		map textures/ut4_kickoff2/kw_yellow1.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

// Wily Duck's animated levelshot

levelshots/ut4_kickoff2_a4
{
	nopicmip
	{
		animmap .8 levelshots/ut4_kickoff2/kickoff4.tga levelshots/ut4_kickoff2/kickoff6.tga levelshots/ut4_kickoff2/kickoff1.tga levelshots/ut4_kickoff2/kickoff7.tga levelshots/ut4_kickoff2/kickoff2.tga levelshots/ut4_kickoff2/kickoff8.tga levelshots/ut4_kickoff2/kickoff3.tga levelshots/ut4_kickoff2/kickoff5.tga
	}
	{
		map levelshots/ut4_kickoff2/ut4_kickoff2_fore.tga
		blendfunc gl_one gl_src_alpha
		depthfunc equal
	}
}

